aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/toggletorrent
diff options
context:
space:
mode:
Diffstat (limited to 'dotfiles/.local/bin/toggletorrent')
-rwxr-xr-xdotfiles/.local/bin/toggletorrent18
1 files changed, 18 insertions, 0 deletions
diff --git a/dotfiles/.local/bin/toggletorrent b/dotfiles/.local/bin/toggletorrent
new file mode 100755
index 0000000..4c67cc5
--- /dev/null
+++ b/dotfiles/.local/bin/toggletorrent
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+if ! [ -f "$HOME/.cache/transdaemonpid" ] ; then
+ transmission-daemon
+ TRANSPID=$!
+ TRANSEXIT=$?
+ if [ $TRANSEXIT -eq 0 ]; then
+ pkill -RTMIN+10 waybar
+ echo "$TRANSPID" > ~/.cache/transdaemonpid
+ exit
+ fi
+ notify-send " Torrent server" "Error while trying to start Transmission daemon"
+ exit 1
+fi
+
+pkill -f "transmission-daemon"
+rm ~/.cache/transdaemonpid
+pkill -RTMIN+10 waybar